package cn.iocoder.yudao.module.rescue.service.impl;

import cn.hutool.core.collection.CollectionUtil;
import cn.iocoder.yudao.module.rescue.domain.RescueOrderDetail;
import cn.iocoder.yudao.module.rescue.service.IRescueOrderDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.iocoder.yudao.module.rescue.mapper.RescueOrderDetailMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 救援订单详细表Service业务层处理
 * 
 * @author zcy
 * @date 2023-09-19
 */
@Service
public class RescueOrderDetailServiceImpl extends ServiceImpl<RescueOrderDetailMapper, RescueOrderDetail> implements IRescueOrderDetailService
{


    /**
     * 查询救援订单详细表
     * 
     * @param id 救援订单详细表主键
     * @return 救援订单详细表
     */
    @Override
    public RescueOrderDetail selectRescueOrderDetailById(Long id)
    {
        return baseMapper.selectRescueOrderDetailById(id);
    }

    /**
     * 查询救援订单详细表列表
     * 
     * @param rescueOrderDetail 救援订单详细表
     * @return 救援订单详细表
     */
    @Override
    public List<RescueOrderDetail> selectRescueOrderDetailList(RescueOrderDetail rescueOrderDetail)
    {
        return baseMapper.selectRescueOrderDetailList(rescueOrderDetail);
    }

    /**
     * 新增救援订单详细表
     * 
     * @param rescueOrderDetail 救援订单详细表
     * @return 结果
     */
    @Override
    public int insertRescueOrderDetail(RescueOrderDetail rescueOrderDetail)
    {
        return baseMapper.insert(rescueOrderDetail);
    }

    /**
     * 修改救援订单详细表
     * 
     * @param rescueOrderDetail 救援订单详细表
     * @return 结果
     */
    @Override
    public int updateRescueOrderDetail(RescueOrderDetail rescueOrderDetail)
    {
        return baseMapper.updateById(rescueOrderDetail);
    }

    /**
     * 批量删除救援订单详细表
     * 
     * @param ids 需要删除的救援订单详细表主键
     * @return 结果
     */
    @Override
    public int deleteRescueOrderDetailByIds(Long[] ids)
    {
        return baseMapper.deleteBatchIds(CollectionUtil.toList(ids));
    }

    /**
     * 删除救援订单详细表信息
     * 
     * @param id 救援订单详细表主键
     * @return 结果
     */
    @Override
    public int deleteRescueOrderDetailById(Long id)
    {
        return baseMapper.deleteById(id);
    }
}
